Skip to main content
`Ctrl`+`K`

# STFilterDamping

The damping type used to build the filter.

## Synopsis

    typedef enum { ST_FILTER_DAMPING_NONE,
                   ST_FILTER_DAMPING_JACKSON,
                   ST_FILTER_DAMPING_LANCZOS,
                   ST_FILTER_DAMPING_FEJER } STFilterDamping;

## Values

- `ST_FILTER_DAMPING_NONE` - no damping

- `ST_FILTER_DAMPING_JACKSON` - Jackson damping

- `ST_FILTER_DAMPING_LANCZOS` - Lanczos damping

- `ST_FILTER_DAMPING_FEJER` - Fejer damping

## Notes

The default is no damping.

For the definition of the damping coefficients, see for instance [Pieper et al., 2016]

## References

[Pie16]

A. Pieper, M. Kreutzer, A. Alvermann, M. Galgon, H. Fehske, G. Hager, B. Lang, and G. Wellein. High-performance implementation of Chebyshev filter diagonalization for interior eigenvalue computations. J. Comput. Phys., 325:226–243, 2016. doi:10.1016/j.jcp.2016.08.027.

## See Also

ST: Spectral Transformation, `STSetFilterDamping()`, `STGetFilterDamping()`

## Level

advanced

## Location

include/slepcst.h

Index of all ST routines Table of Contents for all manual pages Index of all manual pages